% rutero para responder preg.2, tema 6, test 1, S2-2012
for n = [10 20 30]
    n
    A = test1_matrizA(n);
    condest(A)
    b = ones(4*n,1);
    [x,flag,relres,iter] = pcg(A,b,1e-4,100);
    if ~flag
        disp('pcg alcanzo precision');
        % residual relativo y numero de iteraciones
        relres
        iter
        % cota superior para error relativo en solucion
        condest(A)*relres
    else
        disp('pcg no alcanzo precision')
    end
end
        